Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface IndexedInstruction

All Known Implementing Classes:
  ALOAD, ANEWARRAY, ASTORE, CHECKCAST, CPInstruction, DLOAD, DSTORE, FieldInstruction, FieldOrMethod, FLOAD, FSTORE, GETFIELD, GETSTATIC, IINC, ILOAD, INSTANCEOF, InvokeInstruction, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, ISTORE, LDC, LDC_W, LDC2_W, LLOAD, LoadInstruction, LocalVariableInstruction, LSTORE, MULTIANEWARRAY, NEW, PUTFIELD, PUTSTATIC, RET, StoreInstruction

    public interface IndexedInstruction

Denote entity that refers to an index, e.g. local variable instructions, RET, CPInstruction, etc.

Version:
  $Id: IndexedInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`int` | `getIndex()`
`void` | `setIndex(int index)`

Method Detail

### getIndex

    int getIndex()

### setIndex

    void setIndex(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.